<!DOCTYPE html>

<html>
	<head>
		<meta charset='urtf 8'/>
		<title>CSS Chapitre-1</title>
		<style>		
			body {
			background-image: url("fond.jpg");	
			margin-left:300px;
			margin-right:300px;
			}
		</style>
		<style>
			ul {
				list-style-type: none;
				margin: 0;
				padding: 0;
				overflow: hidden;
				background-color: #333;

			}

			li {
				float: left;
			}

			li a {
				display: block;
				color: white;
				text-align: center;
				padding: 14px 16px;
				text-decoration: none;
			}

			li a:hover {
				background-color: #111;
			}
		</style>
	</head>
	<body style="font-family: Arial; color:#000000;color:white;">
	<ul>
		  <li><a class="active" href="CSS Chapitre-1.html">Chapitre 1</a></li>
		  <li><a href="CSS Chapitre-2.html">Chapitre 2</a></li>
		  <li><a href="CSS Chapitre-3.html">Chapitre 3</a></li>
		</ul>
		
		<center><h1>Chapitre-1 : Présentation CSS</h1></center>
		<center><h2>CSS (Cascading Style Sheets)</h2></center>
		<center><h3>Feuilles de style en cascade</h3></center>
		<br>
		<hr>
		<br>
		<p>Le CSS est un language informatique qui décrit la présentation des documents HTML et XML. Il est couramment utilisé dans la conception de sites web.
 		<ol>
		<br>
			<h4>Histoire</h4>
			<p>Le concept de feuille de style est présent dès l'origine du World Wide Web : Il permet de mettre en forme les documents à l'aide de ce qui serait aujourd'hui considéré comme une « feuille de style utilisateur ». Par exemple, les navigateurs Viola en 1992 et Harmony en 1993 recourent à un mécanisme similaire permettant de déterminer le rendu des polices de caractères, des couleurs ou de l'alignement du texte. C'est dans ce contexte, en 1994-1995, que le tout nouveau Netscape Navigator introduit les premiers éléments HTML de présentation à l'initiative de Marc Andreessen, tandis qu'apparaissent concurremment les premières propositions de styles externesn :</p>
			<p>
				<p>Le « stylesheet proposal » de Pei Wei (Viola).</p><br>
				<p>Les « Stylesheets for HTML » de Robert Raisch (O'Reilly).</p><br>
				<p>Les « Cascading HTML Style Sheets (CHSS) » d'Håkon Wium (Lie6).</p><br>
			</p> 
			<p>L'apparition de CSS répond à une volonté de proposer une alternative à l'évolution du HTML d'un langage de structuration vers un langage de présentation. Les origines des CSS sont donc liées à trois possibilités majeures :</p>
			<p>
				<p>HTML est-il un langage de structuration ou un langage mixte de mise en forme et de structuration ?</p><br>
				<p>Les choix de présentation de l'auteur doivent-ils avoir la primauté sur ceux de l'utilisateur ?</p><br>
				<p>La réponse aux besoins est-elle un langage de description de la mise en forme, ou un langage de transformation ?</p><br>
			</p>
			
			<h4>Evolution</h4>
			<p>Contrairement aux logiciels, les spécifications CSS ne sont pas développées par versions successives, qui permettraient à un navigateur de se référer à une version en particulier. CSS est développé par « niveaux », ce qui contraint chaque nouveau niveau à intégrer le précédent, et chaque implémentation à être compatible avec la précédente : CSS1 est donc développé pour être un sous-ensemble de CSS2, qui est lui-même développé pour être un sous-ensemble de CSS3. Ceci explique en partie la lenteur de l'avancement normatif de CSS.</p>
			<br>
			<h4>Application</h4>
			<p>L'un des objectifs majeurs des CSS est de permettre la mise en forme hors des documents. Il est par exemple possible de ne décrire que la structure d'un document en HTML, et de décrire toute la présentation dans une feuille de style CSS séparée. Les styles sont appliqués au dernier moment, dans le navigateur web des visiteurs qui consultent le document. Cette séparation fournit un certain nombre de bénéfices, permettant d'améliorer l'accessibilité, de changer plus facilement de présentation, et de réduire la complexité de l'architecture d'un document.
			Ainsi, les avantages des feuilles de style sont multiples :</p>
			<p>
				<p>La structure du document et la présentation peuvent être gérées dans des fichiers séparés.</p><br>
				<p>La conception d'un document se fait dans un premier temps sans se soucier de la présentation, ce qui permet d'être plus efficace</p><br>
				<p>Dans le cas d'un site web, la présentation est uniformisée : les documents (pages HTML) font référence aux mêmes feuilles de styles. Cette caractéristique permet de plus une remise en forme rapide de l'aspect visuel</p><br>
				<p>Un même document peut donner le choix entre plusieurs feuilles de style, par exemple une pour l'impression et une pour la lecture à l'écran. Certains navigateurs web permettent au visiteur de choisir un style parmi plusieurs</p><br>
				<p>Le code HTML est considérablement réduit en taille et en complexité, puisqu'il ne contient plus de balises ni d'attributs de présentation.</p><br>
			</p>
			<h4>Accessibilité</h4>
			<p>CSS favorise l'accessibilité d'une page web en donnant en dernier ressort à l'utilisateur le contrôle du rendu d'un document dans son navigateur : il est ainsi possible de l'adapter à des contraintes ou à des préférences concernant par exemple la taille d'affichage des caractères ou les couleurs. En séparant structure et présentation, CSS favorise également l'écriture de documents structurés de manière sémantique, potentiellement plus exploitables par les aides techniques : la liberté de présentation des éléments de titrage permet par exemple de respecter strictement l'ordre hiérarchique formel de ceux-ci, ce qui permet en retour aux aides techniques d'en établir une table des matières navigable. Enfin, en donnant aux auteurs les moyens d'enrichir la mise en forme du texte, CSS permet de limiter le recours aux textes mis en images.
			Cependant, certaines utilisations de CSS peuvent également compromettre l'accessibilité du contenu :</p>
			<p>
				<p>En substituant à celui-ci des pseudo-contenus qui ne sont accessibles qu'aux utilisateurs qui peuvent percevoir le rendu CSS visuel : c'est le cas par exemple des informations qui seraient véhiculées par des images d'arrière-plan.</li><br>
				<p>En bouleversant la cohérence nécessaire entre l'ordre linéaire de l'information dans le contenu structuré et l'ordre visuel du rendu CSS affiché. Les aides techniques telles que les lecteurs d'écran n'ont en effet accès qu'à cet ordre linéaire : une information qui ne prendrait son sens qu'en fonction de son positionnement CSS n'est pas compréhensible pour leurs utilisateurs</p><br>
				<p>Dans une démarche d'accessibilité fondée sur la pertinence de la structure HTML, l'éventail des possibilités de mise en forme de contenu avec CSS peut faire perdre de vue la nécessité de baliser le contenu à l'aide d'éléments signifiants. Il est par exemple possible de délimiter visuellement une citation en la mettant en italique ou en l'encadrant de guillemets, mais l'information sur l'origine de ce texte ne sera perceptible, au sens des normes d'accessibilité, que via l'utilisation des éléments q ou blockquote, qui sont les seuls permettant de définir une citation HTML et d'en indiquer la source via l'attribut approprié (cite).</p><br>
			</p>
			<p>Les méthodes d'application des directives d'accessibilité des contenus web (RGAA, UWEM par exemple) définissent donc des règles d'usages des styles CSS.
			</p><br>
			<h4>Simplicité</h4>
			<p>CSS répond à une volonté de disposer d'un format de présentation simple, tant dans ses fonctionnalités que dans sa syntaxe, afin d'en favoriser la manipulation directe par les auteurs et les utilisateurs. Cependant, cette simplicité est remise en cause par plusieurs facteurs :</p>
			<p>
				<p>La difficulté à déterminer et à contrôler le résultat de la cascade lorsque les sources de styles se multiplient. Le rendu final d'un contenu précis dépend de la combinaison de plusieurs feuilles et peut alors devenir malaisé à faire évoluer. L'interdépendance des feuilles de styles peut rendre difficilement anticipable le résultat d'une modification apportée à l'une d'elle. Les auteurs sont alors placés devant un choix entre cette interdépendance qui optimise la quantité de code et la redondance de styles qui facilite sa maintenance.</p><br>
			<p>La difficulté à écrire des styles utilisateurs sans disposer de compétences avancées. Les utilisateurs sont en théorie les premiers bénéficiaires des CSS, qui leur donnent la possibilité d'adapter la présentation des pages web. Cependant, le mécanisme des styles se prête difficilement au développement d'environnements graphiques qui faciliteraient la manipulation des propriétés CSS40. Dans la pratique, le recours aux styles utilisateur reste dès lors marginal.</p>
			</p>
		</ol>
	</body>
</html>